function sig=sigtest(a)
%
% sigtest finds the number of significant figures to the right of the
% decimal,  to the first non-zero position, and adds 3 to that,
% to determine 3 significant figures for printing
%
% if the number of significant figures set for printing is less than
% two, the number is set to two.
%


% The preceeding blank line is important for cvs.
% $Id: sigtest.m,v 1.1 1999/06/18 20:37:59 paul Exp $
%

% $Log: sigtest.m,v $
% Revision 1.1  1999/06/18 20:37:59  paul
% showranges is to print the ranges variable in the workspace
% sigtest is to compute the printout significance for showranges.
%

dr=abs(a);
      ldr=-fix(log10(dr)) + 3;
      if ldr<2
         ldr = 2;
      end
sig=ldr;

